Flutter(Dart >= 2.0) with Orient DB

#1

Hello everyone does anyone know how to make OrientDB work with Flutter running on Dart >= 2.0 ? I want to use Orient DB as a REST API that my Flutter front end will be hitting for requests. However, there are currently no clear tutorials/information on how to make this work. It will be shame if there is no way for I am a newbie who has been learning Orient DB and Neo4j for months as I developed the front end in Dart Flutter sure that Orient DB will work when I turn my attention to it later on. I now want to start making the back end systems but I am stuck as to how to connect from Flutter to a graph database like OrientDB.

#2

Hi,
what version are you using?

Thanks
Regards,
Michela

#3

hey mbonizzi the version when I run the server is v3.0.14

#4

Hi @mbonizzi,

what’s the point of asking about the version and then providing no other info???

I have observed that all moderators are almost always asking about version prior to any answer. Is this a sign of inconsistency between versions?